STRENDZAP(3pub)

NAME
strendzap - remove pattern from end of str, if it is there

SYNOPSIS
#include <publib.h>
int strendzap(char *str, const char *pat);

DESCRIPTION
strendzap removes pat from the end of str if it is there. Otherwise, it does nothing.

RETURN VALUE
strendzap returns non-zero if it removed anything, 0 if not.

EXAMPLE
To remove the suffix .c from the end of a filename, you might do this:

#include <publib.h>

strendzap(filename, ".c");

SEE ALSO
publib(3), strzap(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)